<?php

namespace Devurai\AcceptbluePaymentPro\DTOs\AcceptBlueAmountDetails;

use Devurai\AcceptbluePaymentPro\DTOs\BaseDTO;

class AcceptBlueAmountDetails extends BaseDTO implements ABAmountDetails
{

    public function getAmount(): int
    {
        return $this->response['amount'] ?? 0;
    }

    public function getOriginalRequestedAmount(): int
    {
        return $this->response['original_requested_amount'] ?? 0;
    }

    public function getOriginalAuthorizedAmount(): int
    {
        return $this->response['original_authorized_amount'] ?? 0;
    }

    public function getTax(): int
    {
        return $this->response['tax'] ?? 0;
    }

    public function getSurcharge(): int
    {
        return $this->response['surcharge'] ?? 0;
    }

    public function getShipping(): int
    {
        return $this->response['shipping'] ?? 0;
    }

    public function getTip(): int
    {
        return $this->response['tip'] ?? 0;
    }

    public function getDiscount(): int
    {
        return $this->response['discount'] ?? 0;
    }

    public function getSubtotal(): int
    {
        return $this->response['subtotal'] ?? 0;
    }
}